Subject: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: martin rudalics <[email-masked]>
Date: Sun, 3 Jul 2022 10:16:04 +0200

> I don't understand why the current bug is happening; focus switching in
 > Emacs is complicated.  However, the following patch is, at least, a
 > workaround for the problem.  Should I commit it?

At least here this raises the minibuffer frame above the normal frame
which may obscure the contents of the *Process List* window and thus
again force the user to use the mouse or a window manager shortcut.  In
either case, it's not how Emacs 26 and Emacs 28.1 behaved.  The correct
behavior is to make sure that the minibuffer frame is selected and gets
keyboard input while the normal frame remains fully visible.

martin